Subject: Re: [Int-area] PSP and a logical application of RFC8200

From: Fernando Gont <[email-masked]>
Date: Mon, 2 Mar 2020 21:58:28 -0300

On 2/3/20 20:21, Brian E Carpenter wrote:
> On 03-Mar-20 09:02, Pablo Camarillo (pcamaril) wrote:
>> Brian,
>>
>> The PSP pseudocode is presented as a modification to the End pseudocode starting at line S14 of such.
>> Please go through the PSP pseudocode in conjunction with the End pseudocode (Section 4.1).
>> You will see that the ingress state of the packet is (Segments Left == 1 and Destination Address == the PSP node's address).
> 
> Exactly my point. With SL == 1, you are not at the ultimate destination, so according to what I'll call "Fernando's reading" of RFC8200, you are not entitled to delete the header. That is the point that IMHO needs to be stated explicitly in the draft. You are using "Darren's reading" of RFC8200.

FWIW, I don't think there are two ways to read the spec.

Either en-route insertion/deletion is supported, or it isn't.

If it is, RFC8200 should have an explanation of how PMTUD and error 
reporting works. And it doesn't have one.

In that light, I'm curious how folks can state that eh insertion/removal 
is allowed.

Thanks,
-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1